Skip to main content
`Ctrl`+`K`

# DMLocalizeCoordinates

If a mesh is periodic, create local coordinates for cells having periodic faces

## Synopsis

    #include "petscdm.h"
    PetscErrorCode DMLocalizeCoordinates(DM dm)

Collective

## Input Parameter

- dm - The `DM`

## See Also

`DM`, `DMSetPeriodicity()`, `DMLocalizeCoordinate()`, `DMLocalizeAddCoordinate()`

## Level

developer

## Location

src/dm/interface/dmperiodicity.c

## Examples

src/ts/tutorials/ex48.c
src/dm/impls/forest/tutorials/ex1.c
src/dm/impls/plex/tutorials/ex8.c
src/snes/tutorials/ex11.c
src/ts/tutorials/ex18.c
src/ts/tutorials/ex30.c
src/dm/impls/plex/tutorials/ex10.c

Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages